NX Open C++ Reference Guide
|
Represents a @link Features::OffsetCurve Features::OffsetCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateOffsetCurveBuilder Features::FeatureCollection::CreateOffsetCurveBuilder @endlink <br>
Default values. More...
Public Types | |
enum | TrimOption { TrimOptionNone, TrimOptionExtendTangents, TrimOptionFillet } |
Represents the Offset Curve trim option. More... | |
enum | Types { TypesDistance, TypesDraft, TypesLawControl, TypesAxial3d } |
Represents the Offset Curve types. More... | |
Public Member Functions | |
NXOpen::Direction * | AxialOffsetDirection () |
Returns the direction Created in NX5.0.0. | |
void | ComputeOffsetDirection (NXOpen::Vector3d *offsetDirection, NXOpen::Point3d *startPoint) |
To compute offset direction. | |
void | ComputeOffsetDirection (NXOpen::ICurve *seedEntity, const NXOpen::Point3d &seedPoint, NXOpen::Vector3d *offsetDirection, NXOpen::Point3d *startPoint) |
To compute offset direction on the seed entity at the given seed point. | |
NXOpen::GeometricUtilities::CurveFitData * | CurveFitData () |
Returns the curve fit settings Created in NX8.0.0. | |
NXOpen::GeometricUtilities::CurveFitOptions * | CurveFitMethod () |
Returns the curve fit method Created in NX5.0.0. | |
NXOpen::Section * | CurvesToOffset () |
Returns the curves to offset Created in NX5.0.0. | |
NXOpen::Expression * | DraftAngle () |
Returns the angle Created in NX5.0.0. | |
NXOpen::Expression * | DraftHeight () |
Returns the height Created in NX5.0.0. | |
double | ExtendFactor () |
Returns the extend factor Created in NX5.0.0. | |
bool | GroupObjects () |
Returns the group objects Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveOptions * | InputCurvesOptions () |
Returns the input curves Created in NX5.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | LawControl () |
Returns the Law builder Created in NX5.0.0. | |
int | NumberOfCopies () |
Returns the number of copies Created in NX5.0.0. | |
NXOpen::Expression * | Offset3dDistance () |
Returns the offset3d Created in NX5.0.0. | |
NXOpen::Expression * | OffsetDistance () |
Returns the distance Created in NX5.0.0. | |
NXOpen::Point * | PointOnOffsetPlane () |
Returns the point on offset plane Created in NX5.0.0. | |
bool | ReverseDirection () |
Returns the reverse direction Created in NX5.0.0. | |
bool | RoughOffset () |
Returns the rough offset Created in NX5.0.0. | |
void | SetAxialOffsetDirection (NXOpen::Direction *direction) |
Sets the direction Created in NX5.0.0. | |
void | SetExtendFactor (double extendFactor) |
Sets the extend factor Created in NX5.0.0. | |
void | SetGroupObjects (bool groupObjects) |
Sets the group objects Created in NX5.0.0. | |
void | SetNumberOfCopies (int numberOfCopies) |
Sets the number of copies Created in NX5.0.0. | |
void | SetPointOnOffsetPlane (NXOpen::Point *pointOnOffsetPlane) |
Sets the point on offset plane Created in NX5.0.0. | |
void | SetReverseDirection (bool reverseDirection) |
Sets the reverse direction Created in NX5.0.0. | |
void | SetRoughOffset (bool roughOffset) |
Sets the rough offset Created in NX5.0.0. | |
void | SetTolerance (double tolerance) |
Sets the distance tolerance Created in NX5.0.0. | |
void | SetTrimMethod (NXOpen::Features::OffsetCurveBuilder::TrimOption trim) |
Sets the trim Created in NX5.0.0. | |
void | SetType (NXOpen::Features::OffsetCurveBuilder::Types type) |
Sets the offset type Created in NX5.0.0. | |
double | Tolerance () |
Returns the distance tolerance Created in NX5.0.0. | |
NXOpen::Features::OffsetCurveBuilder::TrimOption | TrimMethod () |
Returns the trim Created in NX5.0.0. | |
NXOpen::Features::OffsetCurveBuilder::Types | Type () |
Returns the offset type Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::OffsetCurve Features::OffsetCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateOffsetCurveBuilder Features::FeatureCollection::CreateOffsetCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CurveFitData.CurveJoinMethod |
No |
CurveFitData.Degree |
7 |
CurveFitData.FitMethod |
DegreeAndSegments |
CurveFitData.IsAdvancedFit |
0 |
CurveFitData.IsAlignShape |
0 |
CurveFitData.MaximumDegree |
7 |
CurveFitData.MaximumSegments |
1 |
CurveFitData.MinimumDegree |
5 |
CurveFitData.Segments |
1 |
CurveFitMethod.FitOption |
Cubic |
CurveFitMethod.MaximumDegree |
7 |
CurveFitMethod.MaximumSegments |
1 |
DraftAngle.Value |
0.0 |
DraftHeight.Value |
5.0 (millimeters part), 0.25 (inches part) |
ExtendFactor |
1.0 |
GroupObjects |
false |
InputCurvesOptions.Associative |
true |
LawControl.EndValue.Value |
5.0 (millimeters part), 0.25 (inches part) |
LawControl.Function |
ft |
LawControl.LawType |
Constant |
LawControl.Parameter |
t |
LawControl.StartValue.Value |
5.0 (millimeters part), 0.25 (inches part) |
LawControl.Value.Value |
5.0 (millimeters part), 0.25 (inches part) |
NumberOfCopies |
1 |
Offset3dDistance.Value |
5.0 (millimeters part), 0.25 (inches part) |
OffsetDistance.Value |
5.0 (millimeters part), 0.25 (inches part) |
RoughOffset |
false |
TrimMethod |
ExtendTangents |
Type |
Distance |
Created in NX5.0.0.
NXOpen::Direction* NXOpen::Features::OffsetCurveBuilder::AxialOffsetDirection | ( | ) |
Returns the direction
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::OffsetCurveBuilder::ComputeOffsetDirection | ( | NXOpen::Vector3d * | offsetDirection, |
NXOpen::Point3d * | startPoint | ||
) |
To compute offset direction.
To compute offset direction whenever it is required or needs to be updated.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
offsetDirection | direction of offset |
startPoint | start point of direction |
void NXOpen::Features::OffsetCurveBuilder::ComputeOffsetDirection | ( | NXOpen::ICurve * | seedEntity, |
const NXOpen::Point3d & | seedPoint, | ||
NXOpen::Vector3d * | offsetDirection, | ||
NXOpen::Point3d * | startPoint | ||
) |
To compute offset direction on the seed entity at the given seed point.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
seedEntity | seed entity that is part of section of offset curve builder |
seedPoint | seed point on the seed entity at which to compute the offset direction |
offsetDirection | direction of offset at seed point on seed entity |
startPoint | start point of entities in section of offset curve |
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::OffsetCurveBuilder::CurveFitData | ( | ) |
Returns the curve fit settings
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitOptions* NXOpen::Features::OffsetCurveBuilder::CurveFitMethod | ( | ) |
Returns the curve fit method
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::OffsetCurveBuilder::CurvesToOffset | ( | ) |
Returns the curves to offset
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::OffsetCurveBuilder::DraftAngle | ( | ) |
Returns the angle
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::OffsetCurveBuilder::DraftHeight | ( | ) |
Returns the height
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::OffsetCurveBuilder::ExtendFactor | ( | ) |
Returns the extend factor
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::OffsetCurveBuilder::GroupObjects | ( | ) |
Returns the group objects
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveOptions* NXOpen::Features::OffsetCurveBuilder::InputCurvesOptions | ( | ) |
Returns the input curves
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::OffsetCurveBuilder::LawControl | ( | ) |
Returns the Law builder
Created in NX5.0.0.
License requirements : None
int NXOpen::Features::OffsetCurveBuilder::NumberOfCopies | ( | ) |
Returns the number of copies
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::OffsetCurveBuilder::Offset3dDistance | ( | ) |
Returns the offset3d
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::OffsetCurveBuilder::OffsetDistance | ( | ) |
Returns the distance
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::OffsetCurveBuilder::PointOnOffsetPlane | ( | ) |
Returns the point on offset plane
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::OffsetCurveBuilder::ReverseDirection | ( | ) |
Returns the reverse direction
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::OffsetCurveBuilder::RoughOffset | ( | ) |
Returns the rough offset
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::OffsetCurveBuilder::SetAxialOffsetDirection | ( | NXOpen::Direction * | direction | ) |
Sets the direction
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
direction | direction |
void NXOpen::Features::OffsetCurveBuilder::SetExtendFactor | ( | double | extendFactor | ) |
Sets the extend factor
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
extendFactor | extendfactor |
void NXOpen::Features::OffsetCurveBuilder::SetGroupObjects | ( | bool | groupObjects | ) |
Sets the group objects
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
groupObjects | groupobjects |
void NXOpen::Features::OffsetCurveBuilder::SetNumberOfCopies | ( | int | numberOfCopies | ) |
Sets the number of copies
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
numberOfCopies | numberofcopies |
void NXOpen::Features::OffsetCurveBuilder::SetPointOnOffsetPlane | ( | NXOpen::Point * | pointOnOffsetPlane | ) |
Sets the point on offset plane
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
pointOnOffsetPlane | pointonoffsetplane |
void NXOpen::Features::OffsetCurveBuilder::SetReverseDirection | ( | bool | reverseDirection | ) |
Sets the reverse direction
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
reverseDirection | reversedirection |
void NXOpen::Features::OffsetCurveBuilder::SetRoughOffset | ( | bool | roughOffset | ) |
Sets the rough offset
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
roughOffset | roughoffset |
void NXOpen::Features::OffsetCurveBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the distance tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
tolerance | tolerance |
void NXOpen::Features::OffsetCurveBuilder::SetTrimMethod | ( | NXOpen::Features::OffsetCurveBuilder::TrimOption | trim | ) |
Sets the trim
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
trim | trim |
void NXOpen::Features::OffsetCurveBuilder::SetType | ( | NXOpen::Features::OffsetCurveBuilder::Types | type | ) |
Sets the offset type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
type | type |
double NXOpen::Features::OffsetCurveBuilder::Tolerance | ( | ) |
Returns the distance tolerance
Created in NX5.0.0.
License requirements : None
NXOpen::Features::OffsetCurveBuilder::TrimOption NXOpen::Features::OffsetCurveBuilder::TrimMethod | ( | ) |
Returns the trim
Created in NX5.0.0.
License requirements : None
NXOpen::Features::OffsetCurveBuilder::Types NXOpen::Features::OffsetCurveBuilder::Type | ( | ) |
Returns the offset type
Created in NX5.0.0.
License requirements : None